Get all negotiations

get

/fscmRestApi/resources/11.13.18.05/sellerNegotiations

Request

Query Parameters
  • This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds the unique seller negotiation according to the primary key. The primary key is SellerAuctionHeaderId; integer; .
      Finder Variables
      • SellerAuctionHeaderId; integer; Value that uniquely identifies the seller negotiation.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • AuctionStatusCode; string; Code for the current status of the auction.
    • AwardStatusCode; string; Status of the negotiation award.
    • CloseDate; string; Date when the negotiation stops accepting bids from bidders.
    • IsPausedFlag; boolean; Contains one of the following values: true or false. If true, the negotiation is paused, if false, the negotiation isn't paused.
    • Negotiation; string; Number that identifies the seller negotiation.
    • NegotiationStatusCode; string; Abbreviation that uniquely identifies the status of the negotiation. A list of accepted values is defined in the lookup type PON_AUCTION_STATUS.
    • NegotiationTitle; string; Text that describes the purpose of the negotiation.
    • OpenDate; string; Date when the negotiation starts accepting bids from bidders.
    • OwnerId; integer; Value that uniquely identifies the person who created the negotiation.
    • PreviewDate; string; Date and time when the seller negotiation becomes available for bidder preview.
    • ProcurementBUId; integer; Value that uniquely identifies the procurement business unit that owns the seller negotiation.
    • SellerAuctionHeaderId; integer; Value that uniquely identifies the seller negotiation.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : sellerNegotiations
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : sellerNegotiations-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
Information about the attachments added to a seller negotiation line.
Show Source
Nested Schema : Bidders
Type: array
Title: Bidders
Information about invited bidders who participate in negotiations with the seller and place bids on the available items.
Show Source
Nested Schema : Lines
Type: array
Title: Lines
Information about the products available for sale during a seller negotiation, such as laptop computers, machinery, or surplus materials. These products may be listed as individual line items in a forward auction.
Show Source
Nested Schema : Publish Negotiation Errors
Type: array
Title: Publish Negotiation Errors
Lists the errors rendered during the validation and publishing of a negotiation.
Show Source
Nested Schema : sellerNegotiations-attachments-item-response
Type: object
Show Source
Nested Schema : sellerNegotiations-bidders-item-response
Type: object
Show Source
  • Title: Bidder
    Maximum Length: 360
    Name of the bidder that the application invited to participate in the seller negotiation.
  • Title: Bidder Contact
    Maximum Length: 255
    Name of the contact person associated with the bidder invited to participate in the seller negotiation.
  • Value that uniquely identifies the contact person associated with the bidder invited to participate in the seller negotiation.
  • Read Only: true
    Maximum Length: 255
    Display name of the status indicating whether supplier creation was successful after approval. Values include Canceled, Completed, and Error. A list of accepted values is defined in the lookup type POZ_SUPPLIER_CREATION_STATUS.
  • Read Only: true
    Maximum Length: 30
    Abbreviation that identifies the status indicating whether supplier creation was successful after approval. Values include CANCELED, COMPLETED, and ERROR. A list of accepted values is defined in the lookup type POZ_SUPPLIER_CREATION_STATUS.
  • Value that uniquely identifies the bidder that the application invited to participate in the seller negotiation.
  • Read Only: true
    Value that uniquely identifies the bidder invited to the negotiation.
  • Title: Bidder Site
    Maximum Length: 240
    Bidder site name linked to the bidder invited for seller negotiation.
  • Value that uniquely identifies the bidder site associated with the bidder invited to participate in the seller negotiation.
  • Read Only: true
    Maximum Length: 255
    Type of business relationship that the bidder has with the organization conducting the seller negotiation. Values include None, Prospective, and Spend Authorized.
  • Title: Business Relationship
    Read Only: true
    Maximum Length: 30
    Abbreviation that identifies the type of business relationship that the bidder has with the organization conducting the seller negotiation. Values include NONE, PROSPECTIVE, and SPEND_AUTHORIZED. A list of accepted values is defined in the lookup type ORA_POZ_PURCHASING_RELATIONSHIP.
  • Read Only: true
    Maximum Length: 64
    User who added the bidder to the negotiation.
  • Read Only: true
    Date and time when the user added the bidder to the negotiation.
  • Read Only: true
    Date and time when the user most recently updated the bidder.
  • Read Only: true
    Maximum Length: 64
    User who most recently updated the bidder.
  • Links
  • Read Only: true
    Maximum Length: 255
    Status of the bidder's registration request. Values include Approved, Not Submitted, Pending Approval, and Rejected.
  • Read Only: true
    Maximum Length: 30
    Abbreviation that identifies the status of the bidder's registration request. Values include APPROVED, DRAFT, PENDING, and REJECTED.
  • Read Only: true
    Maximum Length: 240
    Name of the bidder invited to the negotiation whose registration is pending approval.
  • Title: Bidder Contact
    Maximum Length: 255
    The name of the contact person at the bidding company who should respond to the negotiation. This value applies when the bidder approval is pending.
  • The value identifies the contact person at the bidder who's invited to respond to the negotiation. This value applies when the bidder approval is pending.
  • Value that identifies the bidder that the application invites to respond to the negotiation. Applies during approval pending.
  • Read Only: true
    Value that uniquely identifies the seller negotiation.
  • Read Only: true
    Maximum Length: 255
    Status of the bidder's spend authorization review. Values include Pending Approval and Rejected.
  • Read Only: true
    Maximum Length: 30
    Abbreviation that indicates the status of the bidder's spend authorization review. The possible statuses are PENDING_APPROVAL and REJECTED. Accepted statuses can be found in the lookup type ORA_POZ_SPEND_AUTH_REV_STATUS.
  • Read Only: true
    Number that uniquely identifies the supplier.
Nested Schema : sellerNegotiations-lines-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
Information about the attachments added to a seller negotiation line.
Show Source
Nested Schema : sellerNegotiations-lines-attachments-item-response
Type: object
Show Source
Nested Schema : sellerNegotiations-publishNegotiationErrors-item-response
Type: object
Show Source
Back to Top